Package org.springframework.cglib.core

# Class Block

java.lang.Object
org.springframework.cglib.core.Block

public class Block extends Object

## Constructor Summary

Constructors
Constructor
Description
`Block(CodeEmitter e)`

## Method Summary

Modifier and Type
Method
Description
`void`
`end()`
`CodeEmitter`
`getCodeEmitter()`
`Label`
`getEnd()`
`Label`
`getStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Block

public Block(CodeEmitter e)

## Method Details

### getCodeEmitter

public CodeEmitter getCodeEmitter()

### end

public void end()

### getStart

public Label getStart()

### getEnd

public Label getEnd()